classification
Title: test_future4 ran no test
Type: Stage: resolved
Components: Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: miss-islington, pablogsal, vstinner
Priority: normal Keywords: patch

Created on 2018-12-04 22:37 by vstinner, last changed 2018-12-14 17:05 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11086 merged pablogsal, 2018-12-10 22:14
PR 11115 merged miss-islington, 2018-12-11 11:39
PR 11116 merged miss-islington, 2018-12-11 11:39
PR 11131 merged vstinner, 2018-12-12 17:10
PR 11132 merged vstinner, 2018-12-12 17:22
PR 11155 merged miss-islington, 2018-12-14 12:07
PR 11156 closed miss-islington, 2018-12-14 12:07
PR 11158 merged vstinner, 2018-12-14 12:13
Messages (9)
msg331080 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-12-04 22:37
Since bpo-34279 has been fixed, regrtest now logs a message when a test runs no test. I noticed that test_future4 logs such message:

...
0:05:23 load avg: 0.56 [152/412] test_future4
0:05:24 load avg: 0.56 [153/412] test_future5 -- test_future4 run no tests
...
2 tests run no tests:
    test_dtrace test_future4

I can reproduce the issue:

$ ./python -m test test_future4
(...)
test_future4 run no tests
(...)
Tests result: NO TEST RUN

The test has been added by:
commit 62e2c7e3dfffd8465a54b99fc6d3c2a60acab350
Author: Jeremy Hylton <jeremy@alum.mit.edu>
Date:   Wed Feb 28 17:48:06 2001 +0000

    Add regression test for future statements.  This adds eight files, but
    seven are not tests in their own right; these files are mentioned in
    regrtest.

diff --git a/Lib/test/test_future4.py b/Lib/test/test_future4.py
new file mode 100644
index 0000000000..805263be89
--- /dev/null
+++ b/Lib/test/test_future4.py
@@ -0,0 +1,10 @@
+"""This is a test"""
+import __future__
+from __future__ import nested_scopes
+
+def f(x):
+    def g(y):
+        return x + y
+    return g
+
+print f(2)(4)



... test removed by commit 3090694068670371cdbd5b1a3d3c5dbecc83835a.

A file recreated by:

commit fa50bad9578cf32e6adcaf52c3a58c7b6cd81e30
Author: Christian Heimes <christian@cheimes.de>
Date:   Wed Mar 26 22:55:31 2008 +0000

    I forgot to svn add the future test


... I guess that it's related to:

commit 3c60833e1e53f6239825b44f76fa22172feb1790
Author: Christian Heimes <christian@cheimes.de>
Date:   Wed Mar 26 22:01:37 2008 +0000

    Patch #2477: Added from __future__ import unicode_literals
    
    The new PyParser_*Ex() functions are based on Neal's suggestion and initial patch. The new __future__ feature makes all '' and r'' unicode strings. b'' and br'' stay (byte) strings.

(Other candidates: commit 342212c52afd375d93f44f3ecda0914d77372f26 and commit 7f23d86107dfea69992322577c5033f2edbc3b4f.)
msg331131 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-12-05 15:26
There are a few more on Windows:

4 tests run no tests:
    test_dtrace test_future4 test_multiprocessing_fork
    test_multiprocessing_forkserver

test_multiprocessing_fork and test_multiprocessing_forkserver should raise SkipTest on Windows.
msg331612 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2018-12-11 11:31
New changeset a932d0b496767b5aac14191cbc17093e502b6cb4 by Pablo Galindo in branch 'master':
bpo-35412: Skip test_multiprocessing_fork and test_multiprocessing_forkserver on Windows (GH-11086)
https://github.com/python/cpython/commit/a932d0b496767b5aac14191cbc17093e502b6cb4
msg331616 - (view) Author: miss-islington (miss-islington) Date: 2018-12-11 12:14
New changeset d55a896cd63e72e2848c48226d031d612539ea2a by Miss Islington (bot) in branch '3.7':
bpo-35412: Skip test_multiprocessing_fork and test_multiprocessing_forkserver on Windows (GH-11086)
https://github.com/python/cpython/commit/d55a896cd63e72e2848c48226d031d612539ea2a
msg331617 - (view) Author: miss-islington (miss-islington) Date: 2018-12-11 12:22
New changeset 97568761a6adb64d750fb0ea68484f67ae5e54f7 by Miss Islington (bot) in branch '3.6':
bpo-35412: Skip test_multiprocessing_fork and test_multiprocessing_forkserver on Windows (GH-11086)
https://github.com/python/cpython/commit/97568761a6adb64d750fb0ea68484f67ae5e54f7
msg331712 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-12-12 17:38
New changeset 502fe19b10f66235fcf8f13fc1c0308190845def by Victor Stinner in branch 'master':
bpo-35412: Add testcase to test_future4 (GH-11131)
https://github.com/python/cpython/commit/502fe19b10f66235fcf8f13fc1c0308190845def
msg331809 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-12-14 12:06
New changeset 3a8f4fef4a4dd0e4a800545468eef9542e126181 by Victor Stinner in branch 'master':
bpo-34279: regrtest consider that skipped tests are ran (GH-11132)
https://github.com/python/cpython/commit/3a8f4fef4a4dd0e4a800545468eef9542e126181
msg331819 - (view) Author: miss-islington (miss-islington) Date: 2018-12-14 12:27
New changeset 5f252e1ebc098fff7f88fbf89d203b1dd15fe7fa by Miss Islington (bot) in branch '3.7':
bpo-34279: regrtest consider that skipped tests are ran (GH-11132)
https://github.com/python/cpython/commit/5f252e1ebc098fff7f88fbf89d203b1dd15fe7fa
msg331825 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-12-14 12:44
New changeset 34b7c438b8dc0a1e7e23c9b2d7ce7f8a7c31b4f4 by Victor Stinner in branch '2.7':
bpo-34279: regrtest consider that skipped tests are ran (GH-11132) (GH-11158)
https://github.com/python/cpython/commit/34b7c438b8dc0a1e7e23c9b2d7ce7f8a7c31b4f4
History
Date User Action Args
2018-12-14 17:05:48vstinnersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-12-14 12:44:12vstinnersetmessages: + msg331825
2018-12-14 12:27:02miss-islingtonsetmessages: + msg331819
2018-12-14 12:13:35vstinnersetpull_requests: + pull_request10394
2018-12-14 12:07:16miss-islingtonsetpull_requests: + pull_request10389
2018-12-14 12:07:04miss-islingtonsetpull_requests: + pull_request10387
2018-12-14 12:06:52vstinnersetmessages: + msg331809
2018-12-12 17:38:38vstinnersetmessages: + msg331712
2018-12-12 17:22:01vstinnersetpull_requests: + pull_request10364
2018-12-12 17:10:01vstinnersetpull_requests: + pull_request10362
2018-12-11 12:22:57miss-islingtonsetmessages: + msg331617
2018-12-11 12:14:28miss-islingtonsetnosy: + miss-islington
messages: + msg331616
2018-12-11 11:39:12miss-islingtonsetpull_requests: + pull_request10345
2018-12-11 11:39:03miss-islingtonsetpull_requests: + pull_request10344
2018-12-11 11:31:25pablogsalsetmessages: + msg331612
2018-12-10 22:14:42pablogsalsetkeywords: + patch
stage: patch review
pull_requests: + pull_request10318
2018-12-05 15:26:45vstinnersetmessages: + msg331131
2018-12-04 22:37:17vstinnercreate